public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tempest/
Date: Wed, 27 Sep 2023 16:48:38 +0000 (UTC)	[thread overview]
Message-ID: <1695833313.96fbb1de87a84f26bb97670e11d342cdd8840b0c.arthurzam@gentoo> (raw)

commit:     96fbb1de87a84f26bb97670e11d342cdd8840b0c
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 27 16:39:54 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 27 16:48:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96fbb1de

dev-python/tempest: add 36.0.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/tempest/Manifest              |  1 +
 dev-python/tempest/tempest-36.0.0.ebuild | 75 ++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-python/tempest/Manifest b/dev-python/tempest/Manifest
index a74318f86623..2cea7251f86b 100644
--- a/dev-python/tempest/Manifest
+++ b/dev-python/tempest/Manifest
@@ -1 +1,2 @@
 DIST tempest-35.0.0.tar.gz 1144022 BLAKE2B dd333ac1271ef51171ff7d06931138a6de5872a86e2ed49c4d94b37431f6f94092069eef6700e453ab6e5fc04f004f5bd040af64ea98531bf56eba5edc9394b3 SHA512 c8986e13c821c8861f0b9c1b37c71a1017cd6de480a5efdcc646b51d1c7032a236f98735d0f77240fc9ec9eb711638a12f7a4a8d67e99c76bc1f6b561c39c61d
+DIST tempest-36.0.0.tar.gz 1137446 BLAKE2B f645b35b42252dc2bb4b7e1a3f609ee31e76d60e952c2ebb2a404b5f2e40b449aed0815631e922dffc71bd1598a5554277b851f54b99a37a1af328de171ec3ac SHA512 1d931052aa3fd9c76dc6ea23f861d43842877158307877235f5fc64d8a2a0a65dedefebec7ef5a7153aad7ccc3fc9954a882696adbaa6800af9ea2eb652790dc

diff --git a/dev-python/tempest/tempest-36.0.0.ebuild b/dev-python/tempest/tempest-36.0.0.ebuild
new file mode 100644
index 000000000000..93fcb0ff084e
--- /dev/null
+++ b/dev-python/tempest/tempest-36.0.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="
+	https://pypi.org/project/tempest/
+	https://docs.openstack.org/tempest/latest/
+	https://launchpad.net/tempest/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+	>dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+	>dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+	>=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+	>=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+	>=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+	>=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+	>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+	>=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+	>=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+	>=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+	>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+	>=dev-python/fasteners-0.16.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	>dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+	test? (
+		>=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+		dev-python/stestr[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	# Small subset of tests, which fail as result of not using specific
+	# testing environment. Others expect to run suite using stestr.
+	rm -r tempest/tests/lib/services/volume/v3/ || die
+	rm tempest/tests/test_list_tests.py || die
+	rm tempest/tests/lib/cmd/test_check_uuid.py || die
+
+	# remove dep on hacking
+	rm tempest/tests/test_hacking.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	mv "${BUILD_DIR}"/install/{usr/,}etc || die
+}
+
+python_test() {
+	local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1
+	local -x OS_TEST_TIMEOUT=300
+	eunittest -b -s tempest/tests -t .
+}


             reply	other threads:[~2023-09-27 16:48 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-27 16:48 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-12  7:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/tempest/ Michał Górny
2024-10-12  7:04 Michał Górny
2024-09-28 12:59 Michał Górny
2024-09-28 12:32 Arthur Zamarin
2024-09-26  4:50 Michał Górny
2024-09-10  7:06 Michał Górny
2024-06-20  8:45 Petr Vaněk
2024-06-08  9:02 Michał Górny
2024-06-08  7:28 Arthur Zamarin
2024-05-24  4:03 Michał Górny
2024-04-13 17:49 Michał Górny
2024-04-13 16:39 Arthur Zamarin
2024-03-29 15:28 Michał Górny
2024-03-07 17:09 Michał Górny
2024-03-07 16:24 Michał Górny
2024-02-19 15:51 Michał Górny
2023-11-08  9:11 Michał Górny
2023-11-02  5:44 Michał Górny
2023-11-02  4:12 Sam James
2023-07-10  1:48 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-06-09 12:22 Michał Górny
2023-06-06  5:57 Michał Górny
2023-06-06  1:51 Sam James
2023-05-06 16:44 Arthur Zamarin
2023-04-05  8:17 Michał Górny
2023-04-05  7:10 Arthur Zamarin
2023-03-21 20:06 Michał Górny
2023-03-01  6:16 Michał Górny
2023-02-28 18:16 Arthur Zamarin
2023-01-08  5:12 Michał Górny
2023-01-08  5:06 Michał Górny
2023-01-07 18:36 Arthur Zamarin
2022-12-08 16:57 Michał Górny
2022-10-22 16:00 Michał Górny
2022-10-22 15:56 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-08-03  7:04 Michał Górny
2022-08-02 20:27 Sam James
2022-07-15 13:45 Arthur Zamarin
2022-07-04  7:14 Michał Górny
2022-07-04  6:51 Agostino Sarubbo
2022-06-30 17:09 Arthur Zamarin
2022-06-05  5:52 Michał Górny
2022-06-03  5:37 Michał Górny
2022-05-28 21:12 Jakov Smolić
2022-04-11 16:07 Michał Górny
2022-04-01 18:45 Michał Górny
2022-04-01 17:29 Arthur Zamarin
2022-03-14 21:00 Arthur Zamarin
2022-02-24 18:08 Michał Górny
2021-12-22 19:44 Arthur Zamarin
2021-12-17  9:15 Michał Górny
2021-12-10 15:44 Arthur Zamarin
2021-12-10 12:01 Jakov Smolić
2021-11-19  6:18 Arthur Zamarin
2021-11-12 19:00 Arthur Zamarin
2021-11-05  7:44 Arthur Zamarin
2021-10-31 17:58 Sam James
2021-10-31 17:55 Sam James
2021-10-04 22:58 Sam James
2021-10-01 12:25 Arthur Zamarin
2021-09-30 17:59 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1695833313.96fbb1de87a84f26bb97670e11d342cdd8840b0c.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox